## org.omg.CORBA
Class ValueDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDescriptionHelper

public class ValueDescriptionHelper
extends java.lang.Object

Helper class for : ValueDescription

Author:
  OpenORB Compiler

Constructor Summary
`ValueDescriptionHelper()`

Method Summary
`static ValueDescription` `extract(Any a)` Extract ValueDescription from an any
`static java.lang.String` `id()` Return the ValueDescription IDL ID
`static void` `insert(Any a, ValueDescription t)` Insert ValueDescription into an any
`static ValueDescription` `read(InputStream istream)` Read ValueDescription from a marshalled stream
`static TypeCode` `type()` Return the ValueDescription TypeCode
`static void` `write(OutputStream ostream, ValueDescription value)` Write ValueDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDescriptionHelper

    public ValueDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueDescription t)

  Insert ValueDescription into an any
  Parameters:
    `a` - an any
    `t` - ValueDescription value

### extract

    public static ValueDescription extract(Any a)

  Extract ValueDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueDescription value

### type

    public static TypeCode type()

  Return the ValueDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueDescription IDL ID
  Returns:
    an ID

### read

    public static ValueDescription read(InputStream istream)

  Read ValueDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueDescription value

### write

    public static void write(OutputStream ostream,
                             ValueDescription value)

  Write ValueDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueDescription value